- name: Install packages
  package:
    name:
      - gnupg
      - pcsc-tools
      - ccid
      #      - linux_libusb
      - pinentry
      - pinentry-qt5
    state: present

- name: Create directories
  file:
    name: "{{ item }}"
    state: directory
    mode: 0755
    owner: root
    group: wheel
  loop:
    - /usr/local/etc/devd

- name: Install service configuration
  copy:
    src: "files/{{ item }}_rc.conf"
    dest: "/etc/rc.conf.d/{{ item }}"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - pcscd

- name: Install devd Configuration
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - src: pcscd.conf
      dest: /usr/local/etc/devd/pcscd.conf

- name: Install devd Configuration
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - src: pcscd.conf
      dest: /usr/local/etc/devd/pcscd.conf
